Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.message
Class Invoker

    java.lang.Object
      org.jboss.soa.esb.listeners.message.Invoker

Deprecated. Use `ServiceInvoker`.

    public class Invoker

extends java.lang.Object

Utility class to hide implementation details for sending Command messages and optionally awaiting for a response.

Author:
  schifest@heuristica.com.ar

Constructor Summary
`Invoker()` Deprecated.

Method Summary
`static void` | `invoke(Message message, java.lang.String category, java.lang.String name)` Deprecated.
`static Message` | `invokeAndAwaitResponse(Message outgoing, int maxWaitMillis)` Deprecated. Deliver an ESB Message and wait for a response Message.
`static Message` | `invokeAndAwaitResponse(Message message, java.lang.String category, java.lang.String name, int maxWaitMillis)` Deprecated. Encapsulate command in an ESB Message, deliverAsync it, and wait for a response Message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Invoker

    public Invoker()

  Deprecated.

Method Detail

### invoke

    public static void invoke(Message message,
                              java.lang.String category,
                              java.lang.String name)
                       throws RegistryException,
                              MalformedEPRException,
                              CourierException,
                              ServiceNotFoundException

  Deprecated.
  Parameters:
    `message` - Message - the message to deliver
    `category` - String - for Registry search
    `name` - String - for Registry search
  Throws:
    `RegistryException`
    `MalformedEPRException`
    `CourierException`
    `ServiceNotFoundException`

### invokeAndAwaitResponse

    public static Message invokeAndAwaitResponse(Message message,
                                                 java.lang.String category,
                                                 java.lang.String name,
                                                 int maxWaitMillis)
                                          throws RegistryException,
                                                 MalformedEPRException,
                                                 CourierException,
                                                 CourierTimeoutException,
                                                 ServiceNotFoundException

  Deprecated.
  Encapsulate command in an ESB Message, deliverAsync it, and wait for a response Message.

  Parameters:
    `message` - Message - the message to deliver
    `category` - String - Service category name for Registry inquiry
    `name` - String - Service name for Registry inquiry
    `maxWaitMillis` - int - Maximum time to wait for a response
  Returns:
    Message
  Throws:
    `RegistryException`
    `MalformedEPRException`
    `CourierException`
    `CourierTimeoutException` - - If response was not received in specified time
    `ServiceNotFoundException`

### invokeAndAwaitResponse

    public static Message invokeAndAwaitResponse(Message outgoing,
                                                 int maxWaitMillis)
                                          throws CourierException,
                                                 MalformedEPRException,
                                                 CourierTimeoutException

  Deprecated.
  Deliver an ESB Message and wait for a response Message.

  Parameters:
    `outgoing` - Message - should contain at least the toEPR
    `maxWaitMillis` - int - Maximum time to wait for a response
  Returns:
    Message
  Throws:
    `CourierException`
    `MalformedEPRException`
    `CourierTimeoutException` - - If response was not received in specified time

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD